#
#       Makefile for fiolib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fiolib
LIBFSRCS	= fcpack.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= fcpack.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

fcpack.f:fcpack.g
	@echo "Substituting system constants (fcpack.g -> fcpack.f)"
	@sed -e "s!@ICLCT!$(ISLCT)!" \
	  fcpack.g > fcpack.f

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ *.f
